- Qt 6.7
- Qt Quick 3D
- C++ Classes
- QSSGFrameData
- Qt Quick 3D | Commercial or GPLv3

# QSSGFrameData Class

Storage class containing data collected for a frame. More...

Header: | #include <QSSGFrameData>
Since: | Qt 6.7

- List of all members, including inherited members

## Public Functions

QSSGCameraId | activeCamera() const
QSSGRhiGraphicsPipelineState | getPipelineState() const
QSSGFrameData::Result | getRenderResult(QSSGFrameData::RenderResult id) const

## Detailed Description

## Member Function Documentation

### QSSGCameraId QSSGFrameData::activeCamera() const

Returns The active camera for the scene, or null if non could be found.

### QSSGRhiGraphicsPipelineState QSSGFrameData::getPipelineState() const

Returns Base pipeline state for this frame

### QSSGFrameData::Result QSSGFrameData::getRenderResult(QSSGFrameData::RenderResult id) const

Returns The renderable texture result from id. `nullptr` if no matching id was found.

Note: Even if the function returns a non-null result, the returned QSSGRhiRenderableTexture might not be ready unless the pass rendering to the texture has been executed.

Note: The returned value is only valid within the current frame. On each new frame the renderable will be reset and should therefore be queried again.